## r-cran-nmf 0.20.6

=== DESCRIPTION ===
Package: NMF
Type: Package
Title: Algorithms and Framework for Nonnegative Matrix Factorization
        (NMF)
Version: 0.20.6
Date: 2015-05-25
Author: Renaud Gaujoux, Cathal Seoighe
Maintainer: Renaud Gaujoux <renaud@tx.technion.ac.il>
Description: Provides a framework to perform Non-negative Matrix
    Factorization (NMF). The package implements a set of already published algorithms
    and seeding methods, and provides a framework to test, develop and plug
    new/custom algorithms. Most of the built-in algorithms have been optimized
    in C++, and the main interface function provides an easy way of performing
    parallel computations on multicore machines.
License: GPL (>= 2)
URL: http://renozao.github.io/NMF
BugReports: http://github.com/renozao/NMF/issues
SCM: github:renozao, r-forge
LazyLoad: yes
VignetteBuilder: knitr
Depends: R (>= 3.0.0), methods, utils, pkgmaker (>= 0.20), registry,
        rngtools (>= 1.2.3), cluster
Imports: graphics, stats, stringr (>= 1.0.0), digest, grid, grDevices,
        gridBase, colorspace, RColorBrewer, foreach, doParallel,
        ggplot2, reshape2
Suggests: RcppOctave (>= 0.11), fastICA, doMPI, bigmemory (>= 4.2),
        synchronicity, corpcor, xtable, devtools, knitr, bibtex, RUnit,
        mail, Biobase
Collate: 'rmatrix.R' 'nmf-package.R' 'utils.R' 'versions.R'
        'algorithmic.R' 'options.R' 'grid.R' 'colorcode.R' 'atracks.R'
        'aheatmap.R' 'NMF-class.R' 'transforms.R' 'Bioc-layer.R'
        'NMFstd-class.R' 'NMFOffset-class.R' 'registry.R' 'heatmaps.R'
        'NMFns-class.R' 'nmfModel.R' 'fixed-terms.R' 'NMFfit-class.R'
        'NMFSet-class.R' 'NMFStrategy-class.R' 'NMFSeed-class.R'
        'NMFStrategyFunction-class.R' 'NMFStrategyIterative-class.R'
        'NMFStrategyOctave-class.R' 'NMFplots.R'
        'registry-algorithms.R' 'algorithms-base.R'
        'algorithms-brunet.R' 'algorithms-lnmf.R' 'algorithms-lsnmf.R'
        'algorithms-pe-nmf.R' 'algorithms-siNMF.R' 'algorithms-snmf.R'
        'data.R' 'extractFeatures.R' 'registry-seed.R' 'parallel.R'
        'nmf.R' 'rnmf.R' 'run.R' 'seed-base.R' 'seed-ica.R'
        'seed-nndsvd.R' 'setNMFClass.R' 'simulation.R' 'tests.R'
Packaged: 2015-05-25 21:34:47 UTC; renaud
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2015-05-26 08:12:33

=== debian/changelog ===
r-cran-nmf (0.20.6-1build1) artful; urgency=medium

  * No-change rebuild to pick up r-api-3.4

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 28 Sep 2017 12:46:42 +0000

r-cran-nmf (0.20.6-1) unstable; urgency=low

  * Initial release. (Closes: #829736)

 -- Alba Crespi <crespialba+debian@gmail.com>  Sat, 09 Apr 2016 23:17:47 +0100

=== debian/control ===
Source: r-cran-nmf
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Alba Crespi <crespialba+debian@gmail.com>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev (>= 3.0.0),
               r-cran-pkgmaker (>= 0.20),
               r-cran-registry,
               r-cran-rngtools,
               r-cran-cluster,
               r-cran-stringr,
               r-cran-digest,
               r-cran-gridbase,
               r-cran-colorspace,
               r-cran-rcolorbrewer,
               r-cran-foreach,
               r-cran-doparallel,
               r-cran-ggplot2,
               r-cran-reshape2
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-nmf.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-nmf.git
Homepage: http://cran.r-project.org/web/packages/NMF/

Package: r-cran-nmf
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends},
         ${misc:Depends},
         r-cran-pkgmaker (>= 0.20),
         r-cran-registry,
         r-cran-rngtools (>= 1.2.3),
         r-cran-cluster,
         r-cran-stringr,
         r-cran-digest,
         r-cran-gridbase,
         r-cran-colorspace,
         r-cran-rcolorbrewer,
         r-cran-foreach,
         r-cran-doparallel,
         r-cran-ggplot2,
         r-cran-reshape2
Description: GNU R framework to perform non-negative matrix factorization
 This package implements a set of previously published algorithms and
 seeding methods, and provides a framework to test, develop and plug
 new/custom algorithms.  Most of the built-in algorithms have been
 optimized, and the main interface function provides parallel
 computations on multicore machines.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_HARDENING=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/R/debian/r-cran.mk

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./" \
https://cran.r-project.org/src/contrib/NMF_([-0-9\.]*)\.tar\.gz

## r-cran-nmf 0.21.0

=== DESCRIPTION ===
Package: NMF
Type: Package
Title: Algorithms and Framework for Nonnegative Matrix Factorization
        (NMF)
Version: 0.21.0
Date: 2018-02-18
Author: Renaud Gaujoux, Cathal Seoighe
Maintainer: Nicolas Sauwen <nicolas.sauwen@openanalytics.eu>
Description: Provides a framework to perform Non-negative Matrix
    Factorization (NMF). The package implements a set of already published algorithms
    and seeding methods, and provides a framework to test, develop and plug
    new/custom algorithms. Most of the built-in algorithms have been optimized
    in C++, and the main interface function provides an easy way of performing
    parallel computations on multicore machines.
License: GPL (>= 2)
URL: http://renozao.github.io/NMF
LazyLoad: yes
VignetteBuilder: knitr
Depends: R (>= 3.0.0), methods, utils, pkgmaker (>= 0.20), registry,
        rngtools (>= 1.2.3), cluster
Imports: graphics, stats, stringr (>= 1.0.0), digest, grid, grDevices,
        gridBase, colorspace, RColorBrewer, foreach, doParallel,
        ggplot2, reshape2
Suggests: fastICA, doMPI, bigmemory (>= 4.2), synchronicity(>= 1.3.2),
        corpcor, xtable, devtools, knitr, bibtex, RUnit, mail, Biobase
Collate: 'colorcode.R' 'options.R' 'grid.R' 'atracks.R' 'aheatmap.R'
        'algorithmic.R' 'nmf-package.R' 'rmatrix.R' 'utils.R'
        'versions.R' 'NMF-class.R' 'transforms.R' 'Bioc-layer.R'
        'NMFstd-class.R' 'NMFOffset-class.R' 'heatmaps.R'
        'NMFns-class.R' 'nmfModel.R' 'fixed-terms.R' 'NMFfit-class.R'
        'NMFSet-class.R' 'NMFStrategy-class.R' 'registry.R'
        'NMFSeed-class.R' 'NMFStrategyFunction-class.R'
        'NMFStrategyIterative-class.R' 'NMFplots.R'
        'registry-algorithms.R' 'algorithms-base.R' 'algorithms-lnmf.R'
        'algorithms-lsnmf.R' 'algorithms-pe-nmf.R' 'algorithms-siNMF.R'
        'algorithms-snmf.R' 'data.R' 'extractFeatures.R' 'parallel.R'
        'registry-seed.R' 'nmf.R' 'rnmf.R' 'run.R' 'seed-base.R'
        'seed-ica.R' 'seed-nndsvd.R' 'setNMFClass.R' 'simulation.R'
        'tests.R'
Packaged: 2018-03-06 09:53:11 UTC; nsauwen
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2018-03-06 16:35:36 UTC
RoxygenNote: 6.0.1

=== debian/changelog ===
r-cran-nmf (0.21.0-3) unstable; urgency=medium

  * Team upload.
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jun 2018 22:39:31 +0200

r-cran-nmf (0.21.0-2) UNRELEASED; urgency=medium

  * Team upload.
  * Apply patch from Michael Cree to deal correctly when
       detectCores() returns NA (Closes: #879248)

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sat, 24 Mar 2018 14:29:25 +0100

r-cran-nmf (0.21.0-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Team upload.
  * Convert to dh-r.
  * Bump debhelper compat to 11~.
  * Add Testsuite: autopkgtest-pkg-r.
  * Canonical URL CRAN homepage.
  * Bump Standards-Version to 4.1.3.
  * Add README.source about RData files.
  * Switch to https in d/copyright.

  [ Andreas Tille ]
  * d/watch: No version mangling
  * New upstream version
    Closes: #879248

 -- Dylan Aïssi <bob.dybian@gmail.com>  Fri, 09 Mar 2018 07:43:28 +0100

=== debian/control ===
Source: r-cran-nmf
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Alba Crespi <crespialba+debian@gmail.com>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-pkgmaker,
               r-cran-registry,
               r-cran-rngtools,
               r-cran-cluster,
               r-cran-stringr (>= 1.0.0),
               r-cran-digest,
               r-cran-gridbase,
               r-cran-colorspace,
               r-cran-rcolorbrewer,
               r-cran-foreach,
               r-cran-doparallel,
               r-cran-ggplot2,
               r-cran-reshape2
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nmf
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nmf.git
Homepage: https://cran.r-project.org/package=NMF

Package: r-cran-nmf
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R framework to perform non-negative matrix factorization
 This package implements a set of previously published algorithms and
 seeding methods, and provides a framework to test, develop and plug
 new/custom algorithms.  Most of the built-in algorithms have been
 optimized, and the main interface function provides parallel
 computations on multicore machines.

## r-cran-nmf 0.22.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Algorithms and Framework for Nonnegative Matrix Factorization
         (NMF)
-Version: 0.21.0
-Date: 2018-02-18
+Version: 0.22.0
+Date: 2020-02-02
 Author: Renaud Gaujoux, Cathal Seoighe
 Maintainer: Nicolas Sauwen <nicolas.sauwen@openanalytics.eu>
 Description: Provides a framework to perform Non-negative Matrix
@@ -20,9 +20,9 @@
         rngtools (>= 1.2.3), cluster
 Imports: graphics, stats, stringr (>= 1.0.0), digest, grid, grDevices,
         gridBase, colorspace, RColorBrewer, foreach, doParallel,
-        ggplot2, reshape2
+        ggplot2, reshape2, BiocManager, Biobase
 Suggests: fastICA, doMPI, bigmemory (>= 4.2), synchronicity(>= 1.3.2),
-        corpcor, xtable, devtools, knitr, bibtex, RUnit, mail, Biobase
+        corpcor, xtable, devtools, knitr, bibtex, RUnit, mail
 Collate: 'colorcode.R' 'options.R' 'grid.R' 'atracks.R' 'aheatmap.R'
         'algorithmic.R' 'nmf-package.R' 'rmatrix.R' 'utils.R'
         'versions.R' 'NMF-class.R' 'transforms.R' 'Bioc-layer.R'
@@ -37,8 +37,8 @@
         'registry-seed.R' 'nmf.R' 'rnmf.R' 'run.R' 'seed-base.R'
         'seed-ica.R' 'seed-nndsvd.R' 'setNMFClass.R' 'simulation.R'
         'tests.R'
-Packaged: 2018-03-06 09:53:11 UTC; nsauwen
+Packaged: 2020-02-12 10:44:23 UTC; nsauwen
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2018-03-06 16:35:36 UTC
-RoxygenNote: 6.0.1
+Date/Publication: 2020-02-12 12:40:02 UTC
+RoxygenNote: 6.0.1.9000

=== debian/changelog ===
r-cran-nmf (0.22.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 19 Feb 2020 19:26:55 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-pkgmaker,
@@ -19,8 +19,10 @@
                r-cran-foreach,
                r-cran-doparallel,
                r-cran-ggplot2,
-               r-cran-reshape2
-Standards-Version: 4.1.4
+               r-cran-reshape2,
+               r-cran-biocmanager,
+               r-bioc-biobase
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nmf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nmf.git
 Homepage: https://cran.r-project.org/package=NMF

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/NMF_([-0-9\.]*)\.tar\.gz
# Upstream is also here: https://github.com/renozao/NMF

## r-cran-nmf 0.23.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Algorithms and Framework for Nonnegative Matrix Factorization
         (NMF)
-Version: 0.22.0
-Date: 2020-02-02
+Version: 0.23.0
+Date: 2020-07-30
 Author: Renaud Gaujoux, Cathal Seoighe
 Maintainer: Nicolas Sauwen <nicolas.sauwen@openanalytics.eu>
 Description: Provides a framework to perform Non-negative Matrix
@@ -37,8 +37,8 @@
         'registry-seed.R' 'nmf.R' 'rnmf.R' 'run.R' 'seed-base.R'
         'seed-ica.R' 'seed-nndsvd.R' 'setNMFClass.R' 'simulation.R'
         'tests.R'
-Packaged: 2020-02-12 10:44:23 UTC; nsauwen
+Packaged: 2020-07-31 10:09:52 UTC; nsauwen
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2020-02-12 12:40:02 UTC
+Date/Publication: 2020-08-01 05:10:06 UTC
 RoxygenNote: 6.0.1.9000

=== debian/changelog ===
r-cran-nmf (0.23.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Thu, 03 Sep 2020 12:44:03 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-pkgmaker,
@@ -26,6 +26,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nmf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nmf.git
 Homepage: https://cran.r-project.org/package=NMF
+Rules-Requires-Root: no
 
 Package: r-cran-nmf
 Architecture: any

## r-cran-nmf 0.24.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Algorithms and Framework for Nonnegative Matrix Factorization
         (NMF)
-Version: 0.23.0
-Date: 2020-07-30
+Version: 0.24.0
+Date: 2022-03-28
 Author: Renaud Gaujoux, Cathal Seoighe
 Maintainer: Nicolas Sauwen <nicolas.sauwen@openanalytics.eu>
 Description: Provides a framework to perform Non-negative Matrix
@@ -13,7 +13,7 @@
     in C++, and the main interface function provides an easy way of performing
     parallel computations on multicore machines.
 License: GPL (>= 2)
-URL: http://renozao.github.io/NMF
+URL: http://renozao.github.io/NMF/
 LazyLoad: yes
 VignetteBuilder: knitr
 Depends: R (>= 3.0.0), methods, utils, pkgmaker (>= 0.20), registry,
@@ -22,7 +22,7 @@
         gridBase, colorspace, RColorBrewer, foreach, doParallel,
         ggplot2, reshape2, BiocManager, Biobase
 Suggests: fastICA, doMPI, bigmemory (>= 4.2), synchronicity(>= 1.3.2),
-        corpcor, xtable, devtools, knitr, bibtex, RUnit, mail
+        corpcor, xtable, devtools, knitr, RUnit, mail
 Collate: 'colorcode.R' 'options.R' 'grid.R' 'atracks.R' 'aheatmap.R'
         'algorithmic.R' 'nmf-package.R' 'rmatrix.R' 'utils.R'
         'versions.R' 'NMF-class.R' 'transforms.R' 'Bioc-layer.R'
@@ -37,8 +37,8 @@
         'registry-seed.R' 'nmf.R' 'rnmf.R' 'run.R' 'seed-base.R'
         'seed-ica.R' 'seed-nndsvd.R' 'setNMFClass.R' 'simulation.R'
         'tests.R'
-Packaged: 2020-07-31 10:09:52 UTC; nsauwen
+Packaged: 2022-03-29 15:44:35 UTC; nsauwen
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2020-08-01 05:10:06 UTC
+Date/Publication: 2022-03-29 22:10:02 UTC
 RoxygenNote: 6.0.1.9000

=== debian/changelog ===
r-cran-nmf (0.24.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Disable reprotest

 -- Andreas Tille <tille@debian.org>  Tue, 17 May 2022 20:38:22 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-registry,
                r-cran-rngtools,
                r-cran-cluster,
-               r-cran-stringr (>= 1.0.0),
+               r-cran-stringr,
                r-cran-digest,
                r-cran-gridbase,
                r-cran-colorspace,
@@ -22,7 +22,7 @@
                r-cran-reshape2,
                r-cran-biocmanager,
                r-bioc-biobase
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nmf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nmf.git
 Homepage: https://cran.r-project.org/package=NMF

## r-cran-nmf 0.25

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Algorithms and Framework for Nonnegative Matrix Factorization
         (NMF)
-Version: 0.24.0
-Date: 2022-03-28
+Version: 0.25
+Date: 2022-11-14
 Author: Renaud Gaujoux, Cathal Seoighe
 Maintainer: Nicolas Sauwen <nicolas.sauwen@openanalytics.eu>
 Description: Provides a framework to perform Non-negative Matrix
@@ -16,11 +16,11 @@
 URL: http://renozao.github.io/NMF/
 LazyLoad: yes
 VignetteBuilder: knitr
-Depends: R (>= 3.0.0), methods, utils, pkgmaker (>= 0.20), registry,
-        rngtools (>= 1.2.3), cluster
+Depends: R (>= 3.0.0), methods, utils, registry, rngtools (>= 1.2.3),
+        cluster
 Imports: graphics, stats, stringr (>= 1.0.0), digest, grid, grDevices,
         gridBase, colorspace, RColorBrewer, foreach, doParallel,
-        ggplot2, reshape2, BiocManager, Biobase
+        ggplot2, reshape2, Biobase, codetools, BiocManager
 Suggests: fastICA, doMPI, bigmemory (>= 4.2), synchronicity(>= 1.3.2),
         corpcor, xtable, devtools, knitr, RUnit, mail
 Collate: 'colorcode.R' 'options.R' 'grid.R' 'atracks.R' 'aheatmap.R'
@@ -36,9 +36,9 @@
         'algorithms-snmf.R' 'data.R' 'extractFeatures.R' 'parallel.R'
         'registry-seed.R' 'nmf.R' 'rnmf.R' 'run.R' 'seed-base.R'
         'seed-ica.R' 'seed-nndsvd.R' 'setNMFClass.R' 'simulation.R'
-        'tests.R'
-Packaged: 2022-03-29 15:44:35 UTC; nsauwen
+        'tests.R' 'vignetteFunctions.R'
+Packaged: 2022-11-17 14:51:07 UTC; nsauwen
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2022-03-29 22:10:02 UTC
+Date/Publication: 2022-11-18 14:30:05 UTC
 RoxygenNote: 6.0.1.9000

=== debian/changelog ===
r-cran-nmf (0.25-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 14:42:12 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-pkgmaker,
                r-cran-registry,
                r-cran-rngtools,
                r-cran-cluster,
@@ -20,8 +19,9 @@
                r-cran-doparallel,
                r-cran-ggplot2,
                r-cran-reshape2,
-               r-cran-biocmanager,
-               r-bioc-biobase
+               r-bioc-biobase,
+               r-cran-codetools,
+               r-cran-biocmanager
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nmf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nmf.git

## r-cran-nmf 0.26

=== debian/changelog ===
r-cran-nmf (0.26-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 11:42:59 +0200

## r-cran-nmf 0.27

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Algorithms and Framework for Nonnegative Matrix Factorization
         (NMF)
-Version: 0.25
-Date: 2022-11-14
+Version: 0.27
+Date: 2024-02-05
 Author: Renaud Gaujoux, Cathal Seoighe
 Maintainer: Nicolas Sauwen <nicolas.sauwen@openanalytics.eu>
 Description: Provides a framework to perform Non-negative Matrix
@@ -22,7 +22,7 @@
         gridBase, colorspace, RColorBrewer, foreach, doParallel,
         ggplot2, reshape2, Biobase, codetools, BiocManager
 Suggests: fastICA, doMPI, bigmemory (>= 4.2), synchronicity(>= 1.3.2),
-        corpcor, xtable, devtools, knitr, RUnit, mail
+        corpcor, xtable, devtools, knitr, RUnit
 Collate: 'colorcode.R' 'options.R' 'grid.R' 'atracks.R' 'aheatmap.R'
         'algorithmic.R' 'nmf-package.R' 'rmatrix.R' 'utils.R'
         'versions.R' 'NMF-class.R' 'transforms.R' 'Bioc-layer.R'
@@ -37,8 +37,8 @@
         'registry-seed.R' 'nmf.R' 'rnmf.R' 'run.R' 'seed-base.R'
         'seed-ica.R' 'seed-nndsvd.R' 'setNMFClass.R' 'simulation.R'
         'tests.R' 'vignetteFunctions.R'
-Packaged: 2022-11-17 14:51:07 UTC; nsauwen
+Packaged: 2024-02-08 07:53:20 UTC; nsauwen
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2022-11-18 14:30:05 UTC
-RoxygenNote: 6.0.1.9000
+Date/Publication: 2024-02-08 17:50:02 UTC
+RoxygenNote: 7.3.1

=== debian/changelog ===
r-cran-nmf (0.27-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 13 Feb 2024 21:16:06 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                r-bioc-biobase,
                r-cran-codetools,
                r-cran-biocmanager
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nmf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nmf.git
 Homepage: https://cran.r-project.org/package=NMF

## r-cran-nmf 0.28

=== DESCRIPTION ===
--- 
+++ 
@@ -2,9 +2,13 @@
 Type: Package
 Title: Algorithms and Framework for Nonnegative Matrix Factorization
         (NMF)
-Version: 0.27
-Date: 2024-02-05
-Author: Renaud Gaujoux, Cathal Seoighe
+Version: 0.28
+Date: 2024-08-19
+Authors@R: c( person("Renaud", "Gaujoux", role = c("aut")),
+              person("Cathal", "Seoighe", role = c("aut")),
+			  person("Nicolas", "Sauwen", role = c("cre"),
+			  email = "nicolas.sauwen@openanalytics.eu")
+			  )
 Maintainer: Nicolas Sauwen <nicolas.sauwen@openanalytics.eu>
 Description: Provides a framework to perform Non-negative Matrix
     Factorization (NMF). The package implements a set of already published algorithms
@@ -37,8 +41,11 @@
         'registry-seed.R' 'nmf.R' 'rnmf.R' 'run.R' 'seed-base.R'
         'seed-ica.R' 'seed-nndsvd.R' 'setNMFClass.R' 'simulation.R'
         'tests.R' 'vignetteFunctions.R'
-Packaged: 2024-02-08 07:53:20 UTC; nsauwen
+Packaged: 2024-08-22 07:48:23 UTC; nsauwen
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2024-02-08 17:50:02 UTC
+Date/Publication: 2024-08-22 16:20:01 UTC
 RoxygenNote: 7.3.1
+Author: Renaud Gaujoux [aut],
+  Cathal Seoighe [aut],
+  Nicolas Sauwen [cre]

=== debian/changelog ===
r-cran-nmf (0.28-2) unstable; urgency=medium

  * Team upload.
  * Packaging update (routine-update)
  * Standards-Version: 4.7.3 (routine-update)
  * Standards-Version: 4.7.3 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 04 Mar 2026 14:22:20 +0900

r-cran-nmf (0.28-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 03 Oct 2024 08:43:56 +0900

=== debian/control ===
Source: r-cran-nmf
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Alba Crespi <crespialba+debian@gmail.com>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-registry,
 r-cran-rngtools,
 r-cran-cluster,
 r-cran-stringr,
 r-cran-digest,
 r-cran-gridbase,
 r-cran-colorspace,
 r-cran-rcolorbrewer,
 r-cran-foreach,
 r-cran-doparallel,
 r-cran-ggplot2,
 r-cran-reshape2,
 r-bioc-biobase,
 r-cran-codetools,
 r-cran-biocmanager,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-nmf
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-nmf.git
Homepage: https://cran.r-project.org/package=NMF
Rules-Requires-Root: no

Package: r-cran-nmf
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Algorithms and Framework for Nonnegative Matrix Factorization (NMF)
 Provides a framework to perform Non-negative Matrix Factorization (NMF). The
 package implements a set of already published algorithms and seeding methods,
 and provides a framework to test, develop and plug new/custom algorithms.
 Most of the built-in algorithms have been optimized in C++, and the main
 interface function provides an easy way of performing parallel computations
 on multicore machines.
